package org.example.Entity.Control.Fields;


import com.fasterxml.jackson.annotation.JsonInclude;

import org.example.Utils.IPublicUtil;

import java.util.Map;

public class TextareaField extends TextField {


    public TextareaField(Map<String, Object> row) {
        super(row);
        this.defaultXtype = "textareafield";
        this._autoHeight = null;
    }


    private Boolean _autoHeight;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public Boolean getAutoHeight() {
        return _autoHeight;
    }

    public void setAutoHeight(Boolean autoHeight) {
        this._autoHeight = autoHeight;
    }
}